## visad.data.netcdf.out
Interface VisADAccessor

All Known Implementing Classes:
  DataAccessor, TrivialAccessor

interface VisADAccessor

The VisADAccessor interface provides an abstraction for accessing data in a VisAD data object that's being adapted to a netCDF variable API.

Method Summary
`Object` `get(int[] indexes)` Return a datum given its location as netCDF indexes.
`Dimension[]` `getDimensions()` Return the netCDF dimensions at the level of the data object.
`int[]` `getLengths()` Return the netCDF dimensional lengths.
`int` `getRank()` Return the number of netCDF dimensions at the current level.

Method Detail

### getRank

    public int getRank()

  Return the number of netCDF dimensions at the current level.

  Returns:
    The rank (i.e. number of netCDF dimensions) of the variable.

### getDimensions

    public Dimension[] getDimensions()

  Return the netCDF dimensions at the level of the data object. Include all dimensions in more outer data objects.

  Returns:
    The dimensions of the variable.

### getLengths

    public int[] getLengths()

  Return the netCDF dimensional lengths.

  Returns:
    The dimensional lengths.

### get

    public Object get(int[] indexes)
               throws IOException

  Return a datum given its location as netCDF indexes.

  Returns:
    The data object at the given netCDF position.
  Throws:
    `IOException`